/* arduino to TI 83+/84+, 86
Example 1
Created by William Massano 2/19/2014

Initialize instance and see what is connected
*/
#include <ArtoTI.h>

ArtoTI calc(8,7);

void setup(void){
  Serial.begin(9600);
  Serial.println("Start:");
  pinMode(13,OUTPUT);
  digitalWrite(13,LOW);          //for some reason 13 is high, force it low
  if(calc.comp==0){  
    Serial.println("Calculator not recognized, aborting");
    return;
  }
  Serial.print("Calculator type:");
  if(calc.calctype<0){
    Serial.println(abs(calc.calctype));
  }else{
    switch (calc.calctype){
      case 83:
      case 84:  Serial.print(calc.calctype);
                Serial.println("+");
                break;
      case 82:
      case 86:  Serial.println(calc.calctype);
                break;
    }
  }   
  Serial.println("Done"); 
}
    
void loop(){
}

