/* arduino to TI 83+/84+, 86
Example 6
Created by William Massano 3/3/2014

create 2 lists and plot them in an x-y plot
example does 10 points, but you can do more
*/
#include <ArtoTI.h>

ArtoTI calc(8,7);

void setup(void){
  double list1[20],list2[20];
  int i;
  
  Serial.begin(9600);
  Serial.println("Start:");
  pinMode(13,OUTPUT);
  digitalWrite(13,LOW);          //for some reason 13 is high, force it low
  if(calc.comp==0){  
    Serial.println("Calculator not recognized, aborting");
    return;
  } 
  for(i=0;i<20;i++){
    list1[i]=1+i;
    list2[i]=list1[i]*list1[i];
  }    
  calc.Plot(list1, list2, 10,0); //plot with box marks
  delay(5000);
  calc.clearScreen();
  calc.clearScreen();
  Serial.println("Done"); 
}
    
void loop(){
}

