/* arduino to TI 83+/84+, 86
Example 2
Created by William Massano 2/20/2014

Do example 1 plus send variables to calculator and display then
on calculator
*/
#include <ArtoTI.h>

ArtoTI calc(8,7);

void setup(void){
  float B;
  Serial.begin(9600);
  Serial.println("Start:");
  pinMode(13,OUTPUT);
  digitalWrite(13,LOW);          //for some reason 13 is high, force it low
  if(calc.comp==0){  
    Serial.println("Calculator not recognized, aborting");
    return;
  }
  Serial.print("Calculator type:");
  if(calc.calctype<0){
    Serial.println(abs(calc.calctype));
  }else{
    switch (calc.calctype){
      case 83:
      case 84:  Serial.print(calc.calctype);
                Serial.println("+");
                break;
      case 82:
      case 86:  Serial.println(calc.calctype);
                break;
    }
  }   
  //Example 2 code
  calc.sendNum("A",102.0);
  B=25.0;
  calc.sendNum("B",B);
  //values send, diplay them on calculator
  if(calc.comp==0x73){  //We'll do the 83+/84+ the hard way
    calc.sendCmd(0x009A);  //A
    calc.Enter();
    calc.sendCmd(0x009B);  //B
    calc.Enter();
  }
  //This will work for both (you'll see it twice on the 83+/84
  //the "hard way" works with the 86 as well, but the codes are different
  delay(1000);
  calc.sendANstring("A");
  calc.Enter();
  calc.sendANstring("B");
  calc.Enter();
  //finally for the 86t
  if(calc.comp==0x06){
    calc.sendNum("Fred",86.0);
    calc.Enter();
    calc.sendANstring("Fred");
    calc.Enter();
  }
  Serial.println("Done"); 
}
    
void loop(){
}

