/* arduino to TI 83+/84+, 86
Example 3
Created by William Massano 2/20/2014

Send numbers to calculator, then get results*/
#include <ArtoTI.h>

ArtoTI calc(8,7);

void setup(void){
  float a,b,c;
  Serial.begin(9600);
  Serial.println("Start:");
  pinMode(13,OUTPUT);
  digitalWrite(13,LOW);          //for some reason 13 is high, force it low
  if(calc.comp==0){  
    Serial.println("Calculator not recognized, aborting");
    return;
  }
  a=3.0;
  calc.sendNum("A",a);
  b=4.0;
  calc.sendNum("B",b);
  //now do an operation c=sqrt(a^2+b^2)
  calc.sendOP("SR");    //special code for sqrt( see sendOP
  calc.sendANstring("A^2+B^2)");
//store via sendANstring the preferred way
  calc.sendANstring("%RT%STC"); //%RT exits the square root on the 84 has no effect on the others
  calc.Enter();
  c=calc.getNum("C");
  calc.Enter();
  Serial.print("c=");
  Serial.println(c);
  Serial.println("Done"); 
}
    
void loop(){
}

