/* arduino to TI 83+/84+, 86
Example 5
Created by William Massano 3/3/2014

do some math functions as a demo
*/
#include <ArtoTI.h>

ArtoTI calc(8,7);

void setup(void){
  Serial.begin(9600);
  Serial.println("Start:");
  pinMode(13,OUTPUT);
  digitalWrite(13,LOW);          //for some reason 13 is high, force it low
  if(calc.comp==0){  
    Serial.println("Calculator not recognized, aborting");
    return;
  } 

  calc.sendANstring("1.0%EE5");
  calc.Enter();
  calc.sendANstring("%sn30)%SQ+%cs30)%sq");
  calc.Enter();
  calc.sendANstring("%at%tn45))");
  calc.Enter();
  calc.sendANstring("10^%lg100");
  calc.Enter();
  calc.sendANstring("%ex%ln10)");
  calc.Enter();
  calc.sendANstring("%pi");
  calc.Enter();
  Serial.println("Done"); 
}
    
void loop(){
}

